import { QuestionType } from "../enum/question.type";
import { AnswerVariantDto } from "./answer.variant.dto";

export class QuestionDto {
  public id: string = '';
  public questionType: QuestionType = QuestionType.NPS_QUESTION;
  public analyticQuestion: string = '';
  public title: { en: string, ru: string, ua: string } = { en: '', ru: '', ua: '' };
  public enable: boolean = false;
  public answerVariants: AnswerVariantDto[] = [];
} 