import { AvgCheckType } from "../enum/avg.check.type";
import { ShortPlaceDto } from "./short.place.dto";

export class PlaceInfoDto extends ShortPlaceDto {
  public name: { en: string, ru: string, ua: string } = { en: '', ru: '', ua: '' };
  public desc: { en: string, ru: string, ua: string } = { en: '', ru: '', ua: '' };
  public city: { en: string, ru: string, ua: string } = { en: '', ru: '', ua: '' };
  public addr: { en: string, ru: string, ua: string } = { en: '', ru: '', ua: '' };
  public site: string = '';
  public instagram: string = '';
  public facebook: string = '';
  public avgCheck: AvgCheckType = AvgCheckType.NOT_SHOW;
  public startWork: Date | null = null;
  public endWork: Date | null = null;
  public wifiPassword: string = '';

  public orderCart: boolean = true;
  public cashPay: boolean = true;
  public cardPay: boolean = true;
  public waiterCall: boolean = true;
  public hookahManCall: boolean = true;
  public adminCall: boolean = true;
  public delivery: boolean = true;
  public preOrder: boolean = true;
  public takeAway: boolean = true;
  public visitExpAfterHours: number = 6;
}