import { AppRole } from "./enum/app.role";

export function isNullOrEmpty(line: string): boolean {
  if (!line) {
    return true;
  }

  return line.trim().length === 0;
}

export function isNotNullOrEmpty(line: string): boolean {
  return !isNullOrEmpty(line);
}

export function anyOf(item: string, items: string[]) {
  return items.includes(item); 
}