import { CallmeAppType } from "../enum/callme.app.type";

export class CrmAccountDto {
  public id: string = '';
  public name: { en: string, ru: string, ua: string } = { en: '', ru: '', ua: '' };
  public desc: { en: string, ru: string, ua: string } = { en: '', ru: '', ua: '' };
  public img: { url: string, height: number, width: number } = { url: '', height: 60, width: 60 };
  public enable: boolean = false;
  public demo: boolean = false;
  public showOnIndex: boolean = false;
  public showPreOrder: boolean = false;
  public showTakeAway: boolean = false;
  public showDelivery: boolean = false;
  public searchTags: string = '';
}