import { SurveyStatus } from "../enum/survey.status";
import { ShortPlaceDto } from "../place/short.place.dto";
import { QuestionDto } from "./question.dto";

export class SurveyDto {
  public id: string = '';
  public status: SurveyStatus = SurveyStatus.DRAFT;
  public priority: number = 3;
  public title: string = '';
  public desc: string = '';
  public startDate: Date = new Date();
  public endDate: Date = new Date();

  public questions: QuestionDto[] = [];
  public places: ShortPlaceDto[] = [];
}