"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var visit_type_1 = require("../enum/visit.type");
var DishDto = /** @class */ (function () {
    function DishDto() {
        this.id = '';
        this.active = true;
        this.imgUrl = '';
        this.name = { en: '', ru: '', ua: '' };
        this.desc = { en: '', ru: '', ua: '' };
        this.posId = '';
        this.allowForVisitType = [visit_type_1.VisitType.IN_PLACE, visit_type_1.VisitType.PRE_ORDER, visit_type_1.VisitType.TAKE_AWAY, visit_type_1.VisitType.DELIVERY];
        this.priceInPlace = 0;
        this.pricePreOrder = 0;
        this.priceTakeAway = 0;
        this.priceDelivery = 0;
        this.weight = '';
        this.calories = '';
        this.cookTime = 0;
        this.searchTags = '';
        this.dishSections = [];
    }
    return DishDto;
}());
exports.DishDto = DishDto;
