import { AvgCheckType } from "../enum/avg.check.type";
import { ShortPlaceDto } from "./short.place.dto";
export declare class PlaceInfoDto extends ShortPlaceDto {
    name: {
        en: string;
        ru: string;
        ua: string;
    };
    desc: {
        en: string;
        ru: string;
        ua: string;
    };
    city: {
        en: string;
        ru: string;
        ua: string;
    };
    addr: {
        en: string;
        ru: string;
        ua: string;
    };
    site: string;
    instagram: string;
    facebook: string;
    avgCheck: AvgCheckType;
    startWork: Date | null;
    endWork: Date | null;
    wifiPassword: string;
    orderCart: boolean;
    cashPay: boolean;
    cardPay: boolean;
    waiterCall: boolean;
    hookahManCall: boolean;
    adminCall: boolean;
    delivery: boolean;
    preOrder: boolean;
    takeAway: boolean;
    visitExpAfterHours: number;
}
