import { DishDto } from "./dish.dto";

export class MenuSectionDto {
  public id: string = '';
  public imgUrl: string = '';
  public name: { en: string, ru: string, ua: string } = {en: '', ru: '', ua: ''};
  public desc: { en?: string, ru?: string, ua?: string } = {en: '', ru: '', ua: ''};
  public active: boolean = true;
  public order: number = 0;
  public dishes: DishDto[] = [];
}
