
import { CallRouteType } from "../enum/call.route.type";
import { PlaceHallDto } from "./place.hall.dto";
import { PlaceStaffDto } from "./place.staff.dto";

export class CallRouteDto {
  public callRoute: CallRouteType = CallRouteType.ONE_FOR_ALL;

  public placeHalls: PlaceHallDto[] = [];
  public placeStaffs: PlaceStaffDto[] = [];

  public hallRoutes: { hall: string, waiters: string[] }[] = [];
  public waiterRoutes: { waiter: string, tables: string[] }[] = [];
}